---
title: Update the billing information
description: Learn how to update your billing information in Docker Hub
keywords: payments, billing, subscription, invoices
---

You can update the billing information for your personal account or for an organization. When you update your billing information, these changes apply to future billing invoices.

> **Important**
>
> You can't update an existing invoice, including paid and unpaid invoices.
{ .important }

The billing information provided appears on all your billing invoices. The email address provided is where Docker sends all invoices and other [billing-related communication](#update-your-email-address-that-receives-billing-invoices).

## Personal account

1. Select your avatar in the top-right corner of Docker Hub.
2. From the drop-down menu select **Billing**.
3. Select the **Payment methods and billing history** link.
4. In the **Billing Information** section, select **Update information**.
5. Enter your updated billing details.
6. Select **Save**. 

## Organization 

> **Note**
>
> You must be an organization owner to make changes to the billing information.

1. Select your avatar in the top-right corner of Docker Hub.
2. From the drop-down menu select **Billing**.
3. Select the organization that you want to change the payment method for.
4. Select the **Payment methods and billing history** link.
5. In the **Billing Information** section, select **Update information**.
6. Enter your updated billing details.
7. Select **Save**.

## Update your email address that receives billing invoices

Docker sends the following billing-related emails:

- Confirmation of a new subscription.
- Confirmation of paid invoices.
- Notifications of credit or debit card payment failures.
- Notifications of credit or debit card expiration.
- Confirmation of a cancelled subscription
- Reminders of subscription renewals for annual subscribers. This is sent 14 days before the renewal date.

You can update the email address that receives billing invoices at any time.

### Personal account

1. Select your avatar in the top-right corner of Docker Hub.
2. From the drop-down menu select **Billing**.
3. Select the **Payment methods and billing history** link.
4. Select **Update information**, then enter your new email address.
5. Select **Save**.

### Organizations

1. Select your avatar in the top-right corner of Docker Hub.
2. From the drop-down menu select **Billing**.
3. Select the name of the organization.
4. Select the **Payment methods and billing history** link.
5. Select **Update information**, then enter your new email address.
6. Select **Save**.
